Skip to main content
GET
/
api
/
models
/
list
List user models
curl --request GET \
  --url https://models.fineshare.com/api/models/list \
  --header 'Authorization: <authorization>'
import requests

url = "https://models.fineshare.com/api/models/list"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://models.fineshare.com/api/models/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "models": [
    {
      "modelId": "123e4567-e89b-12d3-a456-426614174000",
      "name": "VoiceModel1",
      "languageCode": "en-US",
      "gender": "male",
      "creationDate": "2024-11-20T12:34:56Z"
    },
    {
      "modelId": "223e4567-e89b-12d3-a456-426614174001",
      "name": "VoiceModel2",
      "languageCode": "en-UK",
      "gender": "female",
      "creationDate": "2024-11-19T08:22:10Z"
    }
  ],
  "pagination": {
    "currentPage": 1,
    "totalPages": 5,
    "totalItems": 50
  }
}
{
"error": "Invalid pagination parameters.",
"details": "The 'page' parameter must be greater than 0."
}
{
"error": "Invalid pagination parameters.",
"details": "The 'page' parameter must be greater than 0."
}
{
"error": "Invalid pagination parameters.",
"details": "The 'page' parameter must be greater than 0."
}

Headers

Authorization
string
required

Bearer token for authorization.

Query Parameters

page
integer
required

The page number for pagination.

Example:

1

limit
integer
required

The number of models per page.

Example:

10

Response

List of user models.

status
string
Example:

"success"

models
object[]
pagination
object